Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.exhaustivesearch.node.bounder
Interface ScoreBounder

All Known Implementing Classes:
  TrendBasedScoreBounder

    public interface ScoreBounder

Method Summary
`Score` | `calculateOptimisticBound(ScoreDirector scoreDirector, Score score, int uninitializedVariableCount)` In OR terms, this is called the lower bound if they minimize, and upper bound if they maximize.
`Score` | `calculatePessimisticBound(ScoreDirector scoreDirector, Score score, int uninitializedVariableCount)` In OR terms, this is called the upper bound if they minimize, and lower bound if they maximize.

Method Detail

### calculateOptimisticBound

    Score calculateOptimisticBound(ScoreDirector scoreDirector,
                                   Score score,
                                   int uninitializedVariableCount)

  In OR terms, this is called the lower bound if they minimize, and upper bound if they maximize. Because we always maximize the `Score`, calling it lower bound would be a contradiction.

  Parameters:
    `scoreDirector` - never null, use `ScoreDirector.getWorkingSolution()` to get the working `Solution`
    `score` - never null, the `Score` of the working `Solution`
    `uninitializedVariableCount` - >= 0, the number of uninitialized variables in the working `Solution`. If 0, this method should return the score parameter.
  Returns:
    never null, never worse than the best possible `Score` we can get by initializing the uninitialized variables of the working `Solution`.

### calculatePessimisticBound

    Score calculatePessimisticBound(ScoreDirector scoreDirector,
                                    Score score,
                                    int uninitializedVariableCount)

  In OR terms, this is called the upper bound if they minimize, and lower bound if they maximize. Because we always maximize the `Score`, calling it upper bound would be a contradiction.

  Parameters:
    `scoreDirector` - never null, use `ScoreDirector.getWorkingSolution()` to get the working `Solution`
    `score` - never null, the `Score` of the working `Solution`
    `uninitializedVariableCount` - >= 0, the number of uninitialized variables in the working `Solution`. If 0, this method should return the score parameter.
  Returns:
    never null, never better than the worst possible `Score` we can get by initializing the uninitialized variables of the working `Solution`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.